@echo off

for /f "delims=" %%i in ('docker images -q stfubuntu') do set STFUBUNTU=%%i
if "x%STFUBUNTU%"=="x" (
  echo Build the stfubuntu:18.04 base on ubuntu:18.04
  docker build --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm  .
  if %ERRORLEVEL% NEQ 0 exit 1
) else (
  echo The stfubuntu:18.04 is already built. Skip this stage
)

docker build --tag stf525_its --force-rm  .
set RC=%ERRORLEVEL%
if %RC% NEQ 0 (
  echo Docker build failed: %RC%
  exit 1
)
docker images
docker inspect stf525_its:latest 
set RC=%ERRORLEVEL%
if %RC% NEQ 0 (
  echo Docker inspect failed: %RC%
  exit 1
)
exit 0

