#!/bin/bash

echo -e "*****************************\n* Checkout STF525 sources\n*****************************\n"
mkdir -p ${HOME}/dev && cd ${HOME}/dev || exit 1

git clone --recurse-submodules -b STF525 --single-branch https://forge.etsi.org/gitlab/ITS/ITS.git STF525_Its

cd STF525_Its || exit 1

echo -e "*****************************\n* Init Workspace\n*****************************\n"
mkdir -p ${HOME}/dev/Workspace/STF525/bin/asn1
cd ${HOME}/dev/Workspace/STF525
ln -s ../../STF525_Its/testdata
ln -s ../../STF525_Its/data

echo -e "*****************************\n* Make ASN.1 sources\n*****************************\n"
cd ${HOME}/dev/Workspace/STF525/bin/asn1
make -f ../../../../STF525_Its/asn1/Makefile

echo -e "*****************************\n* Make Certificate generator \n*****************************\n"
# make V3 certificate generators
cd ${HOME}/dev/STF525_Its/tools/itscertgen/asn1certgen
make

# generate certificates
cd ${HOME}/dev/STF525_Its/data/v3
make
